Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Fillings

Get Fillings
GET /serviceforms/{serviceFormId}/forms/{formId}/fillings
https://api.relesysapp.net/api/v1.1/serviceforms/{serviceFormId}/forms/{formId}/fillings
Get a list of fillings for the form with ID formId.

The fillings contain information about which department it was created for, as well the general score for the filling.

fillingScore - This field displays the sum of all points given for the filling. The fillingScore will be null if no related field contains a data list of type "Scored".

performancePercent - This field displays the performance percentage (0-100%) between the given filling score and the highest possible filling score. If the filling score would be 95 out of a possible 100 the performancePercent would display 95.0.
Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
serviceFormId string / guid required
formId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
departmentId string / guid Filterable optional
fillingScore integer Filterable Sortable optional
id string / guid Filterable optional
isDraft boolean Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
parentFillingId string / guid Filterable optional
performancePercent double Filterable optional
serviceFormId string / guid Filterable optional
number integer Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"29c896cf-e143-4304-bb57-5fe40d2384ed","formId":"8309d663-9196-4886-849c-c2b13d2304d1","parentFillingId":"52b9e80a-14b0-46a2-8451-73c4584a9f9e","departmentId":"96d68637-d9c4-4c25-b007-fdb2429c09bf","number":1,"isDraft":false,"creationDateTime":"2026-09-18T10:03:07.4131343+00:00","lastModifiedDateTime":"2026-09-23T10:03:07.4131343+00:00","fillingScore":5,"performancePercent":85.62},{"id":"00f59344-f2b4-4f97-8669-4b1135102dbf","formId":"83652c34-4f95-4c5b-a762-a3cda8a8a939","parentFillingId":null,"departmentId":"f6d3afd6-851d-4b1b-9759-1602185d2ccf","number":1,"isDraft":false,"creationDateTime":"2026-09-18T10:03:07.4131343+00:00","lastModifiedDateTime":null,"fillingScore":null,"performancePercent":null}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   departmentId string / guid      
   fillingScore integer      
   formId string / guid      
   id string / guid      
   isDraft boolean      
   lastModifiedDateTime datetimeoffset      
   number integer      
   parentFillingId string / guid      
   performancePercent double      
  nextUrl string      
  previousUrl string